org.apache.lucene.benchmark.byTask.feeds

## Class DirContentSource.Iterator

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DirContentSource.Iterator

All Implemented Interfaces:
  Iterator<Path>

Enclosing class:
  DirContentSource

    public static class DirContentSource.Iterator
    extends Object
    implements Iterator<Path>

Iterator over the files in the directory

### Constructor Summary

Constructors
Constructor and Description
`Iterator(Path f)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()`
`boolean` `hasNext()`
`Path` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### Iterator

    public Iterator(Path f)
             throws IOException

Throws:
  `IOException`

### Method Detail

#### getCount

    public int getCount()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Path>`

#### next

    public Path next()

Specified by:
  `next` in interface `Iterator<Path>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Path>`